=== debian/changelog ===
webdvd (0.2) unstable; urgency=low

  * Debianised
  * Corrected length of background filename buffer
  * Worked around bogus error generated by imglib2

 -- Ben Hutchings <ben@decadentplace.org.uk>  Sat, 12 Nov 2005 15:24:07 +0000

webdvd (0.1) unstable; urgency=low

  * Initial version

 -- Ben Hutchings <ben@decadentplace.org.uk>  Thu, 03 Nov 2005 02:04:02 +0000
