=== debian/control ===
Source: webdvd
Maintainer: Ben Hutchings <ben@decadentplace.org.uk>
Section: graphics
Priority: extra
Build-Depends: debhelper (>=4), libgtkmm2.0-dev, mozilla-dev
Standards-Version: 3.6.2

Package: webdvd
Architecture: any
Depends: xvfb, xfonts-base, ${shlibs:Depends}, ${mozilla:Depends}
Recommends: dvdauthor, mjpegtools, mkisofs, netpbm
Description: Converts HTML pages into DVD menus.
 WebDVD is intended to provide a simple way of producing DVDs with
 attractive and usable menus.  It converts HTML pages into DVD menus by
 rendering them in Mozilla and reproducing their link structure.  This
 allows you to design DVDs using familiar HTML editing tools or your
 favourite text editor.  This very early version produces a set of
 files suitable for passing to the "dvdauthor" and "spumux" programs,
 but in future it is intended to run the necessary external programs
 automatically.
